Skip to main content
POST
/
boosted-pages
/
batch-insights
Get Boosted Page Campaigns statistics
curl --request POST \
  --url https://api.boosterberg.com-beta.com/v1/boosted-pages/batch-insights \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ids": "33,34,35",
  "mode": "",
  "date_preset": "overall"
}
'
[
  {
    "posts": "16",
    "reach": "3600",
    "engagement": "9570",
    "clicks": "180",
    "spend": "25.50",
    "cpm": "5.25",
    "ctr": "1.85",
    "cpc": "0.42",
    "cpa": "2.15",
    "conversions": "45",
    "conversion_rate": "12.5"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
ids
string

Comma separated list of ids

Example:

"33,34,35"

mode
enum<string>
default:""

use Sources to send ids of facebook pages and instagram accounts instead of boosted pages

Available options:
,
sources
date_preset
enum<string>
default:overall
Available options:
past_day,
past_week,
past_month,
overall

Response

200 - application/json

Returns List of Campaign insights for given boosted pages

posts
integer
Example:

"16"

reach
integer
Example:

"3600"

engagement
integer
Example:

"9570"

clicks
integer
Example:

"180"

spend
number
Example:

"25.50"

cpm
number
Example:

"5.25"

ctr
number
Example:

"1.85"

cpc
number
Example:

"0.42"

cpa
number
Example:

"2.15"

conversions
integer
Example:

"45"

conversion_rate
number
Example:

"12.5"